--- app_queue.bak	2016-05-13 13:41:41.000000000 -0400
+++ app_queue.c	2016-06-16 15:35:22.384563556 -0400
@@ -5058,7 +5058,14 @@ static struct callattempt *wait_for_answ
 				} else { /* ast_read() returned NULL */
 					endtime = (long) time(NULL) - starttime;
 					ast_channel_publish_dial(qe->chan, o->chan, on, "NOANSWER");
-					rna(endtime * 1000, qe, o->chan, on, membername, 1);
+					/*
+					 * Only autopause if it rang for more than one second
+					 * because a SIP client won't answer if it is in the process
+					 * of re-registering at the time the call is placed.
+					 * If the phone is inadvertently put into Do Not Disturb,
+					 * that will be detected as congestion, not a no answer.
+					 */
+					rna(endtime * 1000, qe, o->chan, on, membername, (endtime > 1));
 					do_hang(o);
 					if (qe->parent->strategy != QUEUE_STRATEGY_RINGALL) {
 						if (qe->parent->timeoutrestart) {
